Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ensemble.bagging
Class Bagging

    java.lang.Object
      org.encog.ensemble.Ensemble
          org.encog.ensemble.bagging.Bagging

    public class Bagging

extends Ensemble

Nested Class Summary

Nested classes/interfaces inherited from class org.encog.ensemble.Ensemble
`Ensemble.NotPossibleInThisMethod`

Field Summary

Fields inherited from class org.encog.ensemble.Ensemble
`aggregator, aggregatorDataSet, dataSetFactory, members, mlFactory, trainFactory`

Constructor Summary
`Bagging(int splits, int dataSetSize, EnsembleMLMethodFactory mlFactory, EnsembleTrainFactory trainFactory, EnsembleAggregator aggregator)`

Method Summary
`EnsembleML` | `getMember(int memberNumber)` Extract a specific MLMethod
`EnsembleTypes.ProblemType` | `getProblemType()` Return what type of problem this Ensemble is solving
`void` | `initMembers()` Initialise ensemble components
`void` | `trainStep()`

Methods inherited from class org.encog.ensemble.Ensemble
`addMember, compute, getAggregator, getTrainingSet, initMembersBySplits, setAggregator, setTrainingData, setTrainingDataFactory, setTrainingMethod, train, train`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bagging

    public Bagging(int splits,
                   int dataSetSize,
                   EnsembleMLMethodFactory mlFactory,
                   EnsembleTrainFactory trainFactory,
                   EnsembleAggregator aggregator)

Method Detail

### initMembers

    public void initMembers()

  Description copied from class: `Ensemble`
  Initialise ensemble components

  Specified by:
    `initMembers` in class `Ensemble`

### getProblemType

    public EnsembleTypes.ProblemType getProblemType()

  Description copied from class: `Ensemble`
  Return what type of problem this Ensemble is solving

  Specified by:
    `getProblemType` in class `Ensemble`
  Returns:
    The problem type.

### getMember

    public EnsembleML getMember(int memberNumber)

  Description copied from class: `Ensemble`
  Extract a specific MLMethod

  Overrides:
    `getMember` in class `Ensemble`
  Returns:
    The MLMethod.

### trainStep

    public void trainStep()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.